Bug 225320 - ESC on Windows doesn't recognize CAC cards.
Summary: ESC on Windows doesn't recognize CAC cards.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Certificate System
Classification: Red Hat
Component: ESC   
(Show other bugs)
Version: 7.3
Hardware: i386 Windows
medium
medium
Target Milestone: rc
: ---
Assignee: Jack Magne
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 445047
TreeView+ depends on / blocked
 
Reported: 2007-01-29 21:51 UTC by Timothy J. Miller
Modified: 2017-04-10 14:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-11 20:32:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Timothy J. Miller 2007-01-29 21:51:39 UTC
Description of problem:
ESC as card middleware doesn't recognize CACs.

Comment 1 Jack Magne 2007-01-30 19:22:47 UTC
Which RHEL are you using? We have tested it to work ok when developing for
RHEL5.  You should be able to recognize cards and view information on the card.

Comment 2 Timothy J. Miller 2007-01-30 19:33:26 UTC
This bug is ESC on Windows; there wasn't an obvious product other than RHEL5
under which to submit.

There's not much detail I can add:  On Windows, install ESC and no other
smartcard middleware.  Insert a CAC into a reader.  Nothing happens.  There's no
log generated I can find, and no events are created in event viewer.

-- Tim

Comment 3 Jack Magne 2007-01-31 01:30:49 UTC
Oh ok. Thanks, that explains it. Thanks for the report. No further detail required.

Comment 4 Jack Magne 2007-02-03 01:46:21 UTC
Was able to get the latest CoolKey PKCS#11 module compiled on Windows. Dropping
this in place allowed ESC to recognize CAC cards.

Comment 5 Timothy J. Miller 2007-02-04 05:34:35 UTC
Can I get that from you?  I don't have a Windows build environment.


Note You need to log in before you can comment on or make changes to this bug.